<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: src/main.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonne.html">personne</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a13e65b521fe5e3b351e70acc0c1279a2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a13e65b521fe5e3b351e70acc0c1279a2">TEST_MACRO</a>(x,  y)&#160;&#160;&#160;x&gt;y?x:y</td></tr>
<tr class="separator:a13e65b521fe5e3b351e70acc0c1279a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab1be833f453ba43909b26d2956b4f5c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#ab1be833f453ba43909b26d2956b4f5c9">ecritureTexte</a> (const char *path)</td></tr>
<tr class="separator:ab1be833f453ba43909b26d2956b4f5c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a778d7287f0c3a3aa0828838016d73f52"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a778d7287f0c3a3aa0828838016d73f52">lectureTexte</a> (const char *path)</td></tr>
<tr class="separator:a778d7287f0c3a3aa0828838016d73f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1ecb098209b71932a5c6680c383a93"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#abb1ecb098209b71932a5c6680c383a93">ecritureTexteFormat</a> (const char *path)</td></tr>
<tr class="separator:abb1ecb098209b71932a5c6680c383a93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5703bb92bb795ef5270fc654f34fa919"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a5703bb92bb795ef5270fc654f34fa919">lectureTexteFormat</a> (const char *path)</td></tr>
<tr class="separator:a5703bb92bb795ef5270fc654f34fa919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a928a092e5453b18d0c6fa5b9d4044d53"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a928a092e5453b18d0c6fa5b9d4044d53">ecritureBin</a> (const char *path, struct <a class="el" href="structpersonne.html">personne</a> *p)</td></tr>
<tr class="memdesc:a928a092e5453b18d0c6fa5b9d4044d53"><td class="mdescLeft">&#160;</td><td class="mdescRight">écriture d'une personne dans un fichier.  <a href="main_8c.html#a928a092e5453b18d0c6fa5b9d4044d53">More...</a><br /></td></tr>
<tr class="separator:a928a092e5453b18d0c6fa5b9d4044d53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabee1837e72105f0e98638dc9023fd5e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#aabee1837e72105f0e98638dc9023fd5e">lectureBin</a> (const char *path, struct <a class="el" href="structpersonne.html">personne</a> *p)</td></tr>
<tr class="separator:aabee1837e72105f0e98638dc9023fd5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a718041a5f1ea30e560dcce2e186ed9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a7a718041a5f1ea30e560dcce2e186ed9">testSeek</a> ()</td></tr>
<tr class="separator:a7a718041a5f1ea30e560dcce2e186ed9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840291bc02cba5474a4cb46a9b9566fe"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a840291bc02cba5474a4cb46a9b9566fe">main</a> (void)</td></tr>
<tr class="separator:a840291bc02cba5474a4cb46a9b9566fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section author"><dt>Author</dt><dd>your name (<a href="#" onclick="location.href='mai'+'lto:'+'you'+'@d'+'oma'+'in'+'.co'+'m'; return false;">you@d<span style="display: none;">.nosp@m.</span>omai<span style="display: none;">.nosp@m.</span>n.com</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2020-07-03</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2020 </dd></dl>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a13e65b521fe5e3b351e70acc0c1279a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13e65b521fe5e3b351e70acc0c1279a2">&#9670;&nbsp;</a></span>TEST_MACRO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TEST_MACRO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">y&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;x&gt;y?x:y</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a928a092e5453b18d0c6fa5b9d4044d53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a928a092e5453b18d0c6fa5b9d4044d53">&#9670;&nbsp;</a></span>ecritureBin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ecritureBin </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structpersonne.html">personne</a> *&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>écriture d'une personne dans un fichier. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>chemin </td></tr>
    <tr><td class="paramname">p</td><td>la personne </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab1be833f453ba43909b26d2956b4f5c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1be833f453ba43909b26d2956b4f5c9">&#9670;&nbsp;</a></span>ecritureTexte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ecritureTexte </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb1ecb098209b71932a5c6680c383a93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb1ecb098209b71932a5c6680c383a93">&#9670;&nbsp;</a></span>ecritureTexteFormat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ecritureTexteFormat </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabee1837e72105f0e98638dc9023fd5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabee1837e72105f0e98638dc9023fd5e">&#9670;&nbsp;</a></span>lectureBin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void lectureBin </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structpersonne.html">personne</a> *&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a778d7287f0c3a3aa0828838016d73f52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a778d7287f0c3a3aa0828838016d73f52">&#9670;&nbsp;</a></span>lectureTexte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void lectureTexte </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5703bb92bb795ef5270fc654f34fa919"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5703bb92bb795ef5270fc654f34fa919">&#9670;&nbsp;</a></span>lectureTexteFormat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void lectureTexteFormat </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a840291bc02cba5474a4cb46a9b9566fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a840291bc02cba5474a4cb46a9b9566fe">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a718041a5f1ea30e560dcce2e186ed9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a718041a5f1ea30e560dcce2e186ed9">&#9670;&nbsp;</a></span>testSeek()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void testSeek </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.18
</small></address>
</body>
</html>
